Bug 1121924 - Review Request: perl-Term-ANSIColor - Color screen output using ANSI escape sequences
Summary: Review Request: perl-Term-ANSIColor - Color screen output using ANSI escape s...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 07:18 UTC by David Dick
Modified: 2014-08-14 10:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-14 10:05:14 UTC
jplesnik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-07-22 07:18:14 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-Term-ANSIColor.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Term-ANSIColor-4.03-1.fc20.src.rpm
Description: Color screen output using ANSI escape sequences
Fedora Account System Username: ddick

Comment 2 Jitka Plesnikova 2014-07-22 12:11:24 UTC
License is NOT ok
FIX: In test directory, several files do not have the same license as Perl
(for more details see Term-ANSIColor-4.03/LICENSE)
The listed license should add in License tag.
I don't know the correct shortcut for it and if it is valid license for Fedora,
you can ask Fedora legal. You should also report it to upstream.

URL and Source0 are ok

Summary and Description are ok

Package builds in F22 - http://koji.fedoraproject.org/koji/taskinfo?taskID=7171971

Build-requires are ok

$ rpm -qp --provides perl-Term-ANSIColor-4.03-1.fc22.noarch.rpm | sort | uniq -c
      1 perl(Term::ANSIColor) = 4.03
      1 perl-Term-ANSIColor = 4.03-1.fc22
Binary provides are ok
 
$ rpm -qp --requires perl-Term-ANSIColor-4.03-1.fc22.noarch.rpm | sort | uniq -c
      1 /usr/bin/perl
      1 perl >= 0:5.006
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(Term::ANSIColor) >= 4.00
      1 perl(constant)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are ok

$ rpmlint ./perl-Term-ANSIColor*
perl-Term-ANSIColor.src: W: spelling-error %description -l en_US uncolor -> uncolored, councilor, uncool
perl-Term-ANSIColor.src: W: spelling-error %description -l en_US colorstrip -> color strip, color-strip, colors trip
perl-Term-ANSIColor.src: W: spelling-error %description -l en_US colorvalid -> color valid, color-valid, Corvallis
perl-Term-ANSIColor.src: W: spelling-error %description -l en_US coloralias -> color alias, color-alias, coloraturas
perl-Term-ANSIColor.noarch: W: spelling-error %description -l en_US uncolor -> uncolored, councilor, uncool
perl-Term-ANSIColor.noarch: W: spelling-error %description -l en_US colorstrip -> color strip, color-strip, colors trip
perl-Term-ANSIColor.noarch: W: spelling-error %description -l en_US colorvalid -> color valid, color-valid, Corvallis
perl-Term-ANSIColor.noarch: W: spelling-error %description -l en_US coloralias -> color alias, color-alias, coloraturas
perl-Term-ANSIColor.noarch: W: doc-file-dependency /usr/share/doc/perl-Term-ANSIColor/examples/generate-colors /usr/bin/perl
perl-Term-ANSIColor.noarch: W: doc-file-dependency /usr/share/doc/perl-Term-ANSIColor/examples/generate-colors perl(constant)
2 packages and 1 specfiles checked; 0 errors, 10 warnings.
Rpmlint is ok

$ rpm -qp -lv perl-Term-ANSIColor-4.03-1.fc22.noarch.rpm
drwxr-xr-x    2 root    root                        0 Jul 22 12:41 /usr/share/doc/perl-Term-ANSIColor
-rw-r--r--    1 root    root                     2300 Mar 24 02:41 /usr/share/doc/perl-Term-ANSIColor/LICENSE
-rw-r--r--    1 root    root                     9293 Mar 24 02:41 /usr/share/doc/perl-Term-ANSIColor/NEWS
-rw-r--r--    1 root    root                    10062 Mar 24 02:41 /usr/share/doc/perl-Term-ANSIColor/README
drwxr-xr-x    2 root    root                        0 Mar 24 02:41 /usr/share/doc/perl-Term-ANSIColor/examples
-rwxr-xr-x    1 root    root                     8986 Mar 24 02:41 /usr/share/doc/perl-Term-ANSIColor/examples/generate-colors
-rw-r--r--    1 root    root                    11709 Jul 22 12:41 /usr/share/man/man3/Term::ANSIColor.3pm.gz
drwxr-xr-x    2 root    root                        0 Jul 22 12:41 /usr/share/perl5/vendor_perl/Term
-rw-r--r--    1 root    root                    47494 Jul 22 12:41 /usr/share/perl5/vendor_perl/Term/ANSIColor.pm
FIX: Remove executable bit from /usr/share/doc/perl-Term-ANSIColor/examples/generate-colors
Add 'chmod -c -x examples/*' to %prep section. It also clean up rpmlint warnings 'doc-file-dependency'.

Otherwise package looks good.

Please correct all `FIX' items and provide new spec file.
Package NOT approved.

Comment 3 David Dick 2014-07-22 21:03:27 UTC
(In reply to Jitka Plesnikova from comment #2)
> License is NOT ok
> FIX: In test directory, several files do not have the same license as Perl
> (for more details see Term-ANSIColor-4.03/LICENSE)
> The listed license should add in License tag.
> I don't know the correct shortcut for it and if it is valid license for
> Fedora,
> you can ask Fedora legal. You should also report it to upstream.

Hi Jitka,

The Expat license reference is to the license used by the "expat" package.  If you examine the wording between /usr/share/doc/expat/COPYING and the "License: Expat" section in Term-ANSIColor-4.03/LICENSE, you'll see the wording is identical.  As the License tag only covers the binary RPM, i don't think that i need to change the License tag either, as the Expat licensed files all appear to be for the test suite.  Is this ok?

> FIX: Remove executable bit from
> /usr/share/doc/perl-Term-ANSIColor/examples/generate-colors
> Add 'chmod -c -x examples/*' to %prep section. It also clean up rpmlint
> warnings 'doc-file-dependency'.

Done.

Spec URL: http://ddick.fedorapeople.org/packages/perl-Term-ANSIColor.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Term-ANSIColor-4.03-1.fc20.src.rpm

Comment 4 Jitka Plesnikova 2014-07-23 07:09:05 UTC

(In reply to David Dick from comment #3)
> (In reply to Jitka Plesnikova from comment #2)
> > License is NOT ok
> > FIX: In test directory, several files do not have the same license as Perl
> > (for more details see Term-ANSIColor-4.03/LICENSE)
> > The listed license should add in License tag.
> > I don't know the correct shortcut for it and if it is valid license for
> > Fedora,
> > you can ask Fedora legal. You should also report it to upstream.
> 
> Hi Jitka,
> 
> The Expat license reference is to the license used by the "expat" package. 
> If you examine the wording between /usr/share/doc/expat/COPYING and the
> "License: Expat" section in Term-ANSIColor-4.03/LICENSE, you'll see the
> wording is identical.  As the License tag only covers the binary RPM, i
> don't think that i need to change the License tag either, as the Expat
> licensed files all appear to be for the test suite.  Is this ok?

In that case the license is ok

> 
> > FIX: Remove executable bit from
> > /usr/share/doc/perl-Term-ANSIColor/examples/generate-colors
> > Add 'chmod -c -x examples/*' to %prep section. It also clean up rpmlint
> > warnings 'doc-file-dependency'.
> 
> Done.

28a29
> chmod -c -x examples/*
Ok

Package APPROVED.

Comment 5 David Dick 2014-07-23 09:14:55 UTC
Thanks for the review Jitka! Most appreciated.

New Package SCM Request
=======================
Package Name: perl-Term-ANSIColor
Short Description: Color screen output using ANSI escape sequences
Upstream URL: http://search.cpan.org/dist/Term-ANSIColor/
Owners: ddick
Branches: f20, f21, el6, epel7
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2014-07-23 10:11:16 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-07-23 10:49:18 UTC
perl-Term-ANSIColor-4.03-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Term-ANSIColor-4.03-1.fc20

Comment 8 Fedora Update System 2014-07-23 10:54:18 UTC
perl-Term-ANSIColor-4.03-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Term-ANSIColor-4.03-1.el6

Comment 9 Fedora Update System 2014-07-23 22:41:15 UTC
perl-Term-ANSIColor-4.03-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Paul Howarth 2014-07-29 10:58:37 UTC
Surely this package is replacing a core perl module in both Fedora (where it is not sub-packaged from the main perl package) and RHEL (where replacing RHEL functionality is not allowed by EPEL guidelines)?

Comment 11 David Dick 2014-07-29 11:05:47 UTC
It does appear so.  What do i need to do to fix this?

Comment 12 Paul Howarth 2014-07-29 11:15:44 UTC
It should be possible to coordinate with Petr/Jitka to get it sub-packaged in Fedora like any other dual-lived package.

As for EPEL, I think you'll need to retire it; whilst it may get sub-packaged in EL-8 if Fedora does so, you're still not allowed to replace it. This will probably need a rel-eng ticket. Wait and see what Petr/Jitka have to say about Fedora first though, in case you need to retire that as well for some reason.

Comment 13 Jitka Plesnikova 2014-07-29 12:46:43 UTC
I'll create the sub-package at Fedora 21 and Fedora rawhide. 

Could you retired f20 branch and remove perl-Term-ANSIColor-4.03-1.fc20 update? 
The module is provided by perl, so it should not cause any problem.

Comment 14 David Dick 2014-07-29 19:01:07 UTC
Okay.  Would be happy to retire it totally if that's easier for you.

Comment 15 David Dick 2014-08-02 03:39:57 UTC
This seems to be harder than i thought.

Following the instructions at https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

$ fedpkg switch-branch el6
Switched to branch 'el6'
INFO:rpkg:Switched to branch 'el6'
$ fedpkg retire "Package incorrectly added to fedora. Already provided by perl"
Could not retire package: 'Namespace' object has no attribute 'msg'
ERROR:rpkg:Could not retire package: 'Namespace' object has no attribute 'msg'

What have i done wrong?

Comment 16 Paul Howarth 2014-08-02 10:18:50 UTC
I think regular packagers can only retire things in rawhide; other branches will need a rel-eng ticket.

https://fedorahosted.org/rel-eng/report

Comment 17 David Dick 2014-08-09 09:02:40 UTC
Okay.  Ticket has been raised at https://fedorahosted.org/rel-eng/ticket/5965

Comment 18 Till Maas 2014-08-09 10:10:10 UTC
(In reply to David Dick from comment #15)

> $ fedpkg retire "Package incorrectly added to fedora. Already provided by
> perl"
> Could not retire package: 'Namespace' object has no attribute 'msg'
> ERROR:rpkg:Could not retire package: 'Namespace' object has no attribute
> 'msg'
> 
> What have i done wrong?

You need to use fedpkg from updates-testing, hopefully it will get to stable soon.

Comment 19 Jitka Plesnikova 2014-08-11 07:35:18 UTC
(In reply to David Dick from comment #17)
> Okay.  Ticket has been raised at https://fedorahosted.org/rel-eng/ticket/5965

You should not delete the package from f21/rawhide branches. The perl-Term-ANSIColor was already sub-package and mark as a dual-life at perl. 
The rawhide and f21 branches are broken now, because the package was removed.

Comment 20 David Dick 2014-08-11 07:46:47 UTC
Sorry Jitka.  Do i need to re-add the package in f21/master?

Comment 21 Jitka Plesnikova 2014-08-11 07:58:03 UTC
(In reply to David Dick from comment #20)
> Sorry Jitka.  Do i need to re-add the package in f21/master?

Yes, please re-add them.

Comment 23 Peter H. Jones 2014-08-11 15:35:04 UTC
http://koji.fedoraproject.org/koji/tasks?state=all&view=flat&method=createLiveCD&order=-id

shows all Xfce builds as successfull (Aug 11, 2014). Thanks for the fix.

Some other builds have failed. The tail of livecd.log shows which requires resulted in the failure.

Also posted this information to bug 1016251, which is closed, after being scolded for posting my initial report there (see https://bugzilla.redhat.com/show_bug.cgi?id=1016251#c2).


Note You need to log in before you can comment on or make changes to this bug.